Skip to main content
POST
/
api
/
apps
/
{app_id}
/
encryption
/
quote
Get quote for encryption feature changes POST /api/apps/:app_id/encryption/quote
curl --request POST \
  --url https://api.example.com/api/apps/{app_id}/encryption/quote \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "add",
  "collections": [
    "<string>"
  ],
  "private_app": true
}
'

Path Parameters

app_id
string
required

Application ID

Body

application/json

Request body for getting encryption quote

action
null | enum<string>

Action to perform on collections: "add" or "remove"

Available options:
add,
remove
collections
string[]

Collection names to add/remove from private_collections

private_app
boolean | null

Enable app-level encryption (all data encrypted)

Response

Encryption cost quote